Index: orxonox/branches/openAL/src/lib/sound/sound_engine.cc
===================================================================
--- orxonox/branches/openAL/src/lib/sound/sound_engine.cc	(revision 4208)
+++ orxonox/branches/openAL/src/lib/sound/sound_engine.cc	(revision 4209)
@@ -98,4 +98,7 @@
 }
 
+/**
+   \brief deletes a SoundSource
+*/
 SoundSource::~SoundSource(void)
 {
@@ -159,10 +162,8 @@
 {
   this->setClassName ("SoundEngine");
-   
-   this->initAudio();
-
-   this->listener = NULL;
-   this->bufferList = new tList<SoundBuffer>;
-   this->sourceList = new tList<SoundSource>;
+  
+  this->listener = NULL;
+  this->bufferList = new tList<SoundBuffer>;
+  this->sourceList = new tList<SoundSource>;
 }
 
@@ -209,4 +210,7 @@
     }
   delete bufferIterator;
+
+  // removing openAL from AudioResource
+  alutExit();
 }
 
@@ -232,4 +236,16 @@
   this->listener = listener;
 }
+
+/**
+   \brief Sets the doppler values of openAL
+   \param dopplerFactor the extent of the doppler-effect
+   \param the Speed the sound travels
+*/
+void SoundEngine::setDopplerValues(ALfloat dopplerFactor, ALfloat dopplerVelocity)
+{
+  alDopplerFactor(dopplerFactor);
+  alDopplerVelocity(dopplerVelocity);
+}
+
 
 /**
@@ -345,9 +361,13 @@
 bool SoundEngine::initAudio(void)
 {
+  ALenum result;
+
+  PRINTF(3)("Initialisazing openAL sound library\n");
+
   alutInit(NULL, 0);
-  alGetError();
-
-  alDopplerFactor(SOUND_DOPPLER_FACTOR);
-  alDopplerVelocity(SOUND_DOPPLER_VELOCITY);
+  if ((result = alGetError()) != AL_NO_ERROR)
+    SoundEngine::PrintALErrorString(result);
+
+  this->setDopplerValues(SOUND_DOPPLER_FACTOR, SOUND_DOPPLER_VELOCITY);
 }
 
Index: orxonox/branches/openAL/src/lib/sound/sound_engine.h
===================================================================
--- orxonox/branches/openAL/src/lib/sound/sound_engine.h	(revision 4208)
+++ orxonox/branches/openAL/src/lib/sound/sound_engine.h	(revision 4209)
@@ -1,6 +1,5 @@
 /*! 
     \file sound_engine.h
-    \brief Definition of the SoundEngine singleton Class
-    
+    \brief Definition of the SoundEngine singleton Class  
 */
 
@@ -78,4 +77,6 @@
 
   void setListener(PNode* listener);
+  void setDopplerValues(ALfloat dopplerFactor, ALfloat dopplerVelocity);
+
 
   void addBuffer(SoundBuffer* buffer);
@@ -86,5 +87,7 @@
   void update(void);
 
+  // administrative
   void flushUnusedBuffers(void);
+  bool initAudio(void);
 
   // error handling:
@@ -92,9 +95,9 @@
   //  static void PrintALCErrorString(ALenum err);
 
+
  private:
   SoundEngine(void);
   static SoundEngine* singletonRef;
 
-  bool initAudio(void);
 
   PNode* listener;                 //!< The listener of the Scene
Index: orxonox/branches/openAL/src/orxonox.cc
===================================================================
--- orxonox/branches/openAL/src/orxonox.cc	(revision 4208)
+++ orxonox/branches/openAL/src/orxonox.cc	(revision 4209)
@@ -123,7 +123,7 @@
   if( initVideo() == -1) return -1;
   if( initSound() == -1) return -1;
-  printf("> Initializing input\n");
+  PRINT(3)("> Initializing input\n");
   if( initInput() == -1) return -1;
-  printf("> Initializing networking\n");
+  PRINT(3)("> Initializing networking\n");
   if( initNetworking () == -1) return -1;
   //printf("> Initializing world\n");
@@ -151,7 +151,7 @@
 int Orxonox::initSound() 
 {
-  printf("> Initializing sound\n");
+  PRINT(3)("> Initializing sound\n");
   // SDL_Init(SDL_INIT_AUDIO);
-  SoundEngine::getInstance();
+  SoundEngine::getInstance()->initAudio();
   return 0;
 }
Index: orxonox/branches/openAL/src/story_entities/world.cc
===================================================================
--- orxonox/branches/openAL/src/story_entities/world.cc	(revision 4208)
+++ orxonox/branches/openAL/src/story_entities/world.cc	(revision 4209)
@@ -489,5 +489,5 @@
   this->spawn(terrain);
 
-  SoundEngine::getInstance()->setListener(tn);
+  SoundEngine::getInstance()->setListener(this->localCamera);
 
   ParticleSystem* system = new ParticleSystem(1000, PARTICLE_SPRITE);
Index: orxonox/branches/openAL/src/world_entities/test_gun.cc
===================================================================
--- orxonox/branches/openAL/src/world_entities/test_gun.cc	(revision 4208)
+++ orxonox/branches/openAL/src/world_entities/test_gun.cc	(revision 4209)
@@ -88,5 +88,5 @@
     }
   
-  this->fireSound = (SoundBuffer*)ResourceManager::getInstance()->load("sound/explo.wav", WAV);
+  this->fireSound = (SoundBuffer*)ResourceManager::getInstance()->load("sound/shot1.wav", WAV);
   this->weaponSource = new SoundSource(this->fireSound, this);
 }