Index: /data/trunk/worlds/DefaultCampaign.oxc
===================================================================
--- /data/trunk/worlds/DefaultCampaign.oxc	(revision 4210)
+++ /data/trunk/worlds/DefaultCampaign.oxc	(revision 4211)
@@ -45,8 +45,19 @@
       <path>worlds/Terrain.oxw</path>
       <menu-entry>1</menu-entry>
+    </SinglePlayerWorld>   
+   
+    <SinglePlayerWorld>
+      <identifier>5</identifier>
+      <nextid>0</nextid>
+      <name>Terrain</name>
+      <path>worlds/mp_valley.oxw</path>
+      <menu-entry>1</menu-entry>
     </SinglePlayerWorld>
 
+
+
+
     <MultiPlayerWorld>
-      <identifier>5</identifier>
+      <identifier>6</identifier>
       <nextid>0</nextid>
       <path>worlds/mp_level_arena.oxw</path>
Index: /data/trunk/worlds/Valley.mtl
===================================================================
--- /data/trunk/worlds/Valley.mtl	(revision 4211)
+++ /data/trunk/worlds/Valley.mtl	(revision 4211)
@@ -0,0 +1,23 @@
+newmtl initialShadingGroup
+illum 4
+Kd 0.50 0.50 0.50
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+newmtl phong1SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.31 0.31 0.31
+Tf 1.00 1.00 1.00
+map_Kd ground-stone-grass-dirt.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl phong2SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.38 0.38 0.38
+Tf 1.00 1.00 1.00
+map_Kd trompet.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
+Ns 18.00
Index: ta/trunk/worlds/mp_mountain_lake.oxw
===================================================================
--- /data/trunk/worlds/mp_mountain_lake.oxw	(revision 4210)
+++ 	(revision )
@@ -1,115 +1,0 @@
-<WorldDataFile>
-  <name>Mountain Lake</name>
-  <screenshoot>pictures/menu/ss_mountainlake_512x512.png</screenshoot>
-
-  <LoadScreen>
-    <BackgroundImage>pictures/load_screens/default.jpg</BackgroundImage>
-    <ElementCount>12</ElementCount>
-    <BackgroundPS>0,0,1.01,1</BackgroundPS>
-    <BarPS>.65,.87,.3,.05</BarPS>
-    <BarImage>pictures/load_screens/default_bar.png</BarImage>
-  </LoadScreen>
-
-
-  <SpawningPoints>
-    <SpawningPoint>
-      <teamId>-1</teamId>
-      <abs-coor>0,50,0</abs-coor>
-      <abs-dir>0,0,1,0</abs-dir>
-    </SpawningPoint>
-
-  </SpawningPoints>
-
-  <GameRule>
-    <MultiplayerTeamDeathmatch>
-      <max-kills>5</max-kills>
-      <death-penalty-timeout>5</death-penalty-timeout>
-      <death-screen-image>pictures/death_screen.png</death-screen-image>
-    </MultiplayerTeamDeathmatch>
-  </GameRule>
-
-
-
-  <clip-region>1, 100000</clip-region>
-  <WorldEntities>
-    <Hover>
-      <name>Player</name>
-      <abs-coor>-1355, 281, 907</abs-coor>
-    </Hover>
-
-    <Terrain>
-      <name>water</name>
-      <model>worlds/lake.obj, 2</model>
-    </Terrain>
-
-    <MappedWater>
-      <waterpos>1276.130005, 310.810822, -260.789993</waterpos>
-      <watersize>2200.000000, 2200.000000</watersize>
-      <lightpos>-188.90, 984.54, 214.67</lightpos>
-      <waterangle>165.00000</waterangle>
-      <watercolor>0.100000, 0.200000, 0.400000</watercolor>
-    </MappedWater>
-
-    <SkyBox>
-      <name>Sky</name>
-      <Materialset>pictures/sky/desert</Materialset>
-      <Size>100000</Size>
-    </SkyBox>
-
-  </WorldEntities>
-
-  <LightManager>
-    <ambient-color>1,1,1</ambient-color>
-    <Lights>
-      <Light>
-      <diffuse-color>1,1,1</diffuse-color>
-      <abs-coor>100,100,50</abs-coor>
-      </Light>
-      <Light>
-      <diffuse-color>1,1,1</diffuse-color>
-      <abs-coor>-100,0,100</abs-coor>
-      </Light>
-      <Light>
-      <diffuse-color>1,1,1</diffuse-color>
-      <abs-coor>-100,2000,50</abs-coor>
-      </Light>
-    </Lights>
-  </LightManager>
-
-  <Music>sound/music/mountainlake_taskhorizon.ogg</Music>
-
-  <AtmosphericEngine>
-    <WeatherEffect>
-
-      <FogEffect>
-        <name>fog</name>
-        <color>0.2, 0.3, 0.3</color>
-        <range>0, 500</range>
-      </FogEffect>
-
-      <RainEffect>
-        <name>rain</name>
-        <option>moverain</option>
-      </RainEffect>
-
-      <SnowEffect>
-        <name>snow</name>
-        <option>movesnow</option>
-      </SnowEffect>
-
-      <LightningEffect>
-        <name>lightning</name>
-        <coord>1500, 500, 400</coord>
-        <size>400,300, 50, 50</size>
-      </LightningEffect>
-
-      <CloudEffect>
-        <name>cloud</name>
-        <planetRadius>2000</planetRadius>
-        <atmosphericRadius>4000</atmosphericRadius>
-        <divisions>20</divisions>
-      </CloudEffect>
-
-    </WeatherEffect>
-  </AtmosphericEngine>
-</WorldDataFile>
Index: /data/trunk/worlds/mp_valley.oxw
===================================================================
--- /data/trunk/worlds/mp_valley.oxw	(revision 4211)
+++ /data/trunk/worlds/mp_valley.oxw	(revision 4211)
@@ -0,0 +1,114 @@
+<WorldDataFile>
+  <name>Valley</name>
+  <screenshoot>pictures/menu/ss_mountainlake_512x512.png</screenshoot>
+
+  <LoadScreen>
+    <BackgroundImage>pictures/load_screens/default.jpg</BackgroundImage>
+    <ElementCount>12</ElementCount>
+    <BackgroundPS>0,0,1.01,1</BackgroundPS>
+    <BarPS>.65,.87,.3,.05</BarPS>
+    <BarImage>pictures/load_screens/default_bar.png</BarImage>
+  </LoadScreen>
+
+
+  <SpawningPoints>
+    <SpawningPoint>
+      <teamId>-1</teamId>
+      <abs-coor>0,50,0</abs-coor>
+      <abs-dir>0,0,1,0</abs-dir>
+    </SpawningPoint>
+
+  </SpawningPoints>
+
+  <GameRule>
+    <MultiplayerTeamDeathmatch>
+      <max-kills>5</max-kills>
+      <death-penalty-timeout>5</death-penalty-timeout>
+      <death-screen-image>pictures/death_screen.png</death-screen-image>
+    </MultiplayerTeamDeathmatch>
+  </GameRule>
+
+
+
+  <clip-region>1, 100000</clip-region>
+  <WorldEntities>
+    <Hover>
+      <name>Player</name>
+      <abs-coor>-1355, 281, 907</abs-coor>
+    </Hover>
+
+    <Terrain>
+      <name>water</name>
+      <model>worlds/valley.obj</model>
+    </Terrain>
+
+    <MappedWater>
+      <waterpos>-490, -145, -509</waterpos>
+      <watersize>1300.000000, 1300.000000</watersize>
+      <lightpos>-188.90, 984.54, 214.67</lightpos>
+      <watercolor>0.100000, 0.200000, 0.400000</watercolor>
+    </MappedWater>
+
+    <SkyBox>
+      <name>Sky</name>
+      <Materialset>pictures/sky/desert</Materialset>
+      <Size>100000</Size>
+    </SkyBox>
+
+  </WorldEntities>
+
+  <LightManager>
+    <ambient-color>1,1,1</ambient-color>
+    <Lights>
+      <Light>
+      <diffuse-color>1,1,1</diffuse-color>
+      <abs-coor>100,100,50</abs-coor>
+      </Light>
+      <Light>
+      <diffuse-color>1,1,1</diffuse-color>
+      <abs-coor>-100,0,100</abs-coor>
+      </Light>
+      <Light>
+      <diffuse-color>1,1,1</diffuse-color>
+      <abs-coor>-100,2000,50</abs-coor>
+      </Light>
+    </Lights>
+  </LightManager>
+
+  <Music>sound/music/mountainlake_taskhorizon.ogg</Music>
+
+  <AtmosphericEngine>
+    <WeatherEffect>
+
+      <FogEffect>
+        <name>fog</name>
+        <color>0.2, 0.3, 0.3</color>
+        <range>0, 500</range>
+      </FogEffect>
+
+      <RainEffect>
+        <name>rain</name>
+        <option>moverain</option>
+      </RainEffect>
+
+      <SnowEffect>
+        <name>snow</name>
+        <option>movesnow</option>
+      </SnowEffect>
+
+      <LightningEffect>
+        <name>lightning</name>
+        <coord>1500, 500, 400</coord>
+        <size>400,300, 50, 50</size>
+      </LightningEffect>
+
+      <CloudEffect>
+        <name>cloud</name>
+        <planetRadius>2000</planetRadius>
+        <atmosphericRadius>4000</atmosphericRadius>
+        <divisions>20</divisions>
+      </CloudEffect>
+
+    </WeatherEffect>
+  </AtmosphericEngine>
+</WorldDataFile>