Index: orxonox/branches/movie_player/configure
===================================================================
--- orxonox/branches/movie_player/configure	(revision 4217)
+++ orxonox/branches/movie_player/configure	(revision 4218)
@@ -6715,4 +6715,83 @@
       exit -1
    fi
+
+#-------#
+# mpeg2 #
+#-------#
+# checking for mpeg-headers
+#  AC_CHECK_HEADERS([mpeg2dec/mpeg2.h] ,,
+#      [AC_MSG_ERROR([cannot find mpeg2 header.])])
+# checking for mpeg2-library
+  echo "$as_me:$LINENO: checking for main in -lmpeg2" >&5
+echo $ECHO_N "checking for main in -lmpeg2... $ECHO_C" >&6
+if test "${ac_cv_lib_mpeg2_main+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lmpeg2  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+
+int
+main ()
+{
+main ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_mpeg2_main=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_mpeg2_main=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_mpeg2_main" >&5
+echo "${ECHO_T}$ac_cv_lib_mpeg2_main" >&6
+if test $ac_cv_lib_mpeg2_main = yes; then
+  FOUND_mpeg2=yes
+fi
+
+     if test x$FOUND_mpeg2 = xyes ; then
+       LIBS="$LIBS -lmpeg2"
+     else
+        echo "------------------"
+        echo "mpeg2 library not found."
+	echo "please install the mpeg2 library, which can be found at http://libmpeg2.sourceforge.net/"
+        echo "------------------"
+        exit -1
+     fi
 
 #-----#
Index: orxonox/branches/movie_player/configure.ac
===================================================================
--- orxonox/branches/movie_player/configure.ac	(revision 4217)
+++ orxonox/branches/movie_player/configure.ac	(revision 4218)
@@ -439,4 +439,22 @@
    fi
 
+#-------#
+# mpeg2 #
+#-------#
+# checking for mpeg-headers
+#  AC_CHECK_HEADERS([mpeg2dec/mpeg2.h] ,,
+#      [AC_MSG_ERROR([cannot find mpeg2 header.])])
+# checking for mpeg2-library
+  AC_CHECK_LIB([mpeg2], [main], [FOUND_mpeg2=yes])
+     if test x$FOUND_mpeg2 = xyes ; then
+       LIBS="$LIBS -lmpeg2"
+     else
+        echo "------------------"
+        echo "mpeg2 library not found."
+	echo "please install the mpeg2 library, which can be found at http://libmpeg2.sourceforge.net/"
+        echo "------------------"
+        exit -1
+     fi
+
 #-----#
 # GTK #
Index: orxonox/branches/movie_player/src/Makefile.in
===================================================================
--- orxonox/branches/movie_player/src/Makefile.in	(revision 4217)
+++ orxonox/branches/movie_player/src/Makefile.in	(revision 4218)
@@ -446,7 +446,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/Makefile
+	  $(AUTOMAKE) --foreign  src/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/branches/movie_player/src/lib/Makefile.in
===================================================================
--- orxonox/branches/movie_player/src/lib/Makefile.in	(revision 4217)
+++ orxonox/branches/movie_player/src/lib/Makefile.in	(revision 4218)
@@ -183,7 +183,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/branches/movie_player/src/lib/graphics/Makefile.in
===================================================================
--- orxonox/branches/movie_player/src/lib/graphics/Makefile.in	(revision 4217)
+++ orxonox/branches/movie_player/src/lib/graphics/Makefile.in	(revision 4218)
@@ -177,7 +177,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/graphics/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/graphics/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/graphics/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/graphics/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/branches/movie_player/src/lib/graphics/importer/Makefile.in
===================================================================
--- orxonox/branches/movie_player/src/lib/graphics/importer/Makefile.in	(revision 4217)
+++ orxonox/branches/movie_player/src/lib/graphics/importer/Makefile.in	(revision 4218)
@@ -235,7 +235,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/graphics/importer/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/graphics/importer/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/graphics/importer/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/graphics/importer/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/branches/movie_player/src/lib/gui/Makefile.in
===================================================================
--- orxonox/branches/movie_player/src/lib/gui/Makefile.in	(revision 4217)
+++ orxonox/branches/movie_player/src/lib/gui/Makefile.in	(revision 4218)
@@ -179,7 +179,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/gui/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/branches/movie_player/src/lib/gui/console/Makefile.in
===================================================================
--- orxonox/branches/movie_player/src/lib/gui/console/Makefile.in	(revision 4217)
+++ orxonox/branches/movie_player/src/lib/gui/console/Makefile.in	(revision 4218)
@@ -205,7 +205,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/console/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/console/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/gui/console/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/gui/console/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/branches/movie_player/src/lib/gui/gui/Makefile.in
===================================================================
--- orxonox/branches/movie_player/src/lib/gui/gui/Makefile.in	(revision 4217)
+++ orxonox/branches/movie_player/src/lib/gui/gui/Makefile.in	(revision 4218)
@@ -265,7 +265,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/gui/gui/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/gui/gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/branches/movie_player/src/subprojects/Makefile.in
===================================================================
--- orxonox/branches/movie_player/src/subprojects/Makefile.in	(revision 4217)
+++ orxonox/branches/movie_player/src/subprojects/Makefile.in	(revision 4218)
@@ -177,7 +177,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/subprojects/Makefile
+	  $(AUTOMAKE) --foreign  src/subprojects/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: orxonox/branches/movie_player/src/subprojects/testmain/Makefile.in
===================================================================
--- orxonox/branches/movie_player/src/subprojects/testmain/Makefile.in	(revision 4217)
+++ orxonox/branches/movie_player/src/subprojects/testmain/Makefile.in	(revision 4218)
@@ -197,7 +197,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/testmain/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/testmain/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/subprojects/testmain/Makefile
+	  $(AUTOMAKE) --foreign  src/subprojects/testmain/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status