Index: orxonox/trunk/src/story_entities/world.cc
===================================================================
--- orxonox/trunk/src/story_entities/world.cc	(revision 4222)
+++ orxonox/trunk/src/story_entities/world.cc	(revision 4228)
@@ -364,14 +364,13 @@
   if( element == NULL)
     {
-      PRINTF0("============>>>>>>>>>>>>>>>>>World is missing a 'Track'\n");
+      PRINTF(0)("World is missing a 'Track'\n");
     }
   else
     {	
       //load track
-      PRINTF0("============>>>>>>>>>>>>>>>>Loading Track\n");
+      PRINTF(4)("Loading Track\n");
 
       trackManager->load( element);
       trackManager->finalize();
-      PRINTF0("============>>>>>>>>>>>>>>>>Done loading Track\n");
     }
   
@@ -388,64 +387,4 @@
   //this->localCamera->bind (localPlayer);
   this->localPlayer->addChild (this->localCamera);
-  
-  
-  // stuff beyond this point remains to be loaded properly
-  /*
-      // initializing the TrackManager
-  this->trackManager = TrackManager::getInstance();
-      //trackManager->addPoint(Vector(0,0,0));
-      trackManager->addPoint(Vector(150, -35, 5));
-      trackManager->addPoint(Vector(200,-35, 5));
-      trackManager->addPoint(Vector(250, -35, 5));
-      trackManager->addPoint(Vector(320,-33,-.55));
-      trackManager->setDuration(1);
-      trackManager->setSavePoint();
-
-      trackManager->addPoint(Vector(410, 0, 0));
-      trackManager->addPoint(Vector(510, 20, -10));
-      trackManager->addPoint(Vector(550, 20, -10));
-      trackManager->addPoint(Vector(570, 20, -10));
-      trackManager->setDuration(2);
-      
-      trackManager->forkS("testFork1,testFork2");
-      trackManager->workOn("testFork1");
-      trackManager->addPoint(Vector(640, 25, -30));
-      trackManager->addPoint(Vector(700, 40, -120));
-      trackManager->addPoint(Vector(800, 50, -150));
-      trackManager->addPoint(Vector(900, 60, -100));
-      trackManager->addPoint(Vector(900, 60, -70));
-      trackManager->addPoint(Vector(990, 65, -15));
-      trackManager->addPoint(Vector(1050, 65, -10));
-      trackManager->addPoint(Vector(1100, 65, -20));
-      trackManager->setDuration(4);
-
-      trackManager->workOn("testFork2");
-      trackManager->addPoint(Vector(640, 25, 20));
-      trackManager->addPoint(Vector(670, 50, 120));
-      trackManager->addPoint(Vector(700, 70, 80));
-      trackManager->addPoint(Vector(800, 70, 65));
-      trackManager->addPoint(Vector(850, 65, 65));
-      trackManager->addPoint(Vector(920, 35, 40));
-      trackManager->addPoint(Vector(945, 40, 40));
-      trackManager->addPoint(Vector(970, 24, 40));
-      trackManager->addPoint(Vector(1000, 40, -7));
-      trackManager->setDuration(4);
-      
-      
-      trackManager->joinS("testFork1,testFork2");
-	
-      trackManager->addPoint(Vector(1200, 60, -50));
-      trackManager->addPoint(Vector(1300, 50, -50));
-      trackManager->addPoint(Vector(1400, 40, -50));
-      trackManager->addPoint(Vector(1500, 40, -60));
-      trackManager->addPoint(Vector(1600, 35, -55));
-      trackManager->addPoint(Vector(1700, 45, -40));
-      trackManager->addPoint(Vector(1750, 60, -40));
-      trackManager->addPoint(Vector(1770, 80, -40));
-      trackManager->addPoint(Vector(1800, 100, -40));
-      trackManager->setDuration(10);
-  */
-      trackManager->finalize();
-
       
   lightMan->setAmbientColor(.1,.1,.1);
@@ -501,7 +440,64 @@
   /*monitor progress*/
   this->glmis->step();
+  // stuff beyond this point remains to be loaded properly
+
+  // initializing the TrackManager
+  this->trackManager = TrackManager::getInstance();
+  //trackManager->addPoint(Vector(0,0,0));
+  trackManager->addPoint(Vector(150, -35, 5));
+  trackManager->addPoint(Vector(200,-35, 5));
+  trackManager->addPoint(Vector(250, -35, 5));
+  trackManager->addPoint(Vector(320,-33,-.55));
+  trackManager->setDuration(1);
+  trackManager->setSavePoint();
+
+  trackManager->addPoint(Vector(410, 0, 0));
+  trackManager->addPoint(Vector(510, 20, -10));
+  trackManager->addPoint(Vector(550, 20, -10));
+  trackManager->addPoint(Vector(570, 20, -10));
+  trackManager->setDuration(2);
+      
+  trackManager->forkS("testFork1,testFork2");
+  trackManager->workOn("testFork1");
+  trackManager->addPoint(Vector(640, 25, -30));
+  trackManager->addPoint(Vector(700, 40, -120));
+  trackManager->addPoint(Vector(800, 50, -150));
+  trackManager->addPoint(Vector(900, 60, -100));
+  trackManager->addPoint(Vector(900, 60, -70));
+  trackManager->addPoint(Vector(990, 65, -15));
+  trackManager->addPoint(Vector(1050, 65, -10));
+  trackManager->addPoint(Vector(1100, 65, -20));
+  trackManager->setDuration(4);
+
+  trackManager->workOn("testFork2");
+  trackManager->addPoint(Vector(640, 25, 20));
+  trackManager->addPoint(Vector(670, 50, 120));
+  trackManager->addPoint(Vector(700, 70, 80));
+  trackManager->addPoint(Vector(800, 70, 65));
+  trackManager->addPoint(Vector(850, 65, 65));
+  trackManager->addPoint(Vector(920, 35, 40));
+  trackManager->addPoint(Vector(945, 40, 40));
+  trackManager->addPoint(Vector(970, 24, 40));
+  trackManager->addPoint(Vector(1000, 40, -7));
+  trackManager->setDuration(4);
+      
+      
+  trackManager->joinS("testFork1,testFork2");
+	
+  trackManager->addPoint(Vector(1200, 60, -50));
+  trackManager->addPoint(Vector(1300, 50, -50));
+  trackManager->addPoint(Vector(1400, 40, -50));
+  trackManager->addPoint(Vector(1500, 40, -60));
+  trackManager->addPoint(Vector(1600, 35, -55));
+  trackManager->addPoint(Vector(1700, 45, -40));
+  trackManager->addPoint(Vector(1750, 60, -40));
+  trackManager->addPoint(Vector(1770, 80, -40));
+  trackManager->addPoint(Vector(1800, 100, -40));
+  trackManager->setDuration(10);
+  
+  trackManager->finalize();
+  
 
   // LIGHT initialisation
-
   lightMan->setAmbientColor(.1,.1,.1);
   lightMan->addLight();