Index: orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.cc
===================================================================
--- orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.cc	(revision 4229)
+++ orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.cc	(revision 4232)
@@ -529,5 +529,5 @@
 
 
-bool MD2Model2::loadModel(const char *fileName)
+bool MD2Model2::loadModel(const char* fileName)
 {
   FILE *pFile;                            //file stream
@@ -543,4 +543,5 @@
       return false;
     }
+  this->header = new tMd2Header;
   fread(this->header, 1, sizeof(tMd2Header), pFile);
   /* check for the header version: make sure its a md2 file :) */
@@ -551,4 +552,6 @@
     }
 
+  this->fileName = new char[strlen(fileName)+1];
+  strcpy(this->fileName, fileName);
   /* got the data: map it to locals */
   this->numFrames = this->header->numFrames;
@@ -644,5 +647,5 @@
 
 	//printf("  pVertices %f, %f, %f\n", pVertices[i][0], pVertices[i][1], pVertices[i][2]);
-	printf("  list:     %f, %f, %f \n", verticesList[i][0], verticesList[i][1], verticesList[i][2]);      
+	//printf("  list:     %f, %f, %f \n", verticesList[i][0], verticesList[i][1], verticesList[i][2]);      
       }
 }
@@ -783,5 +786,5 @@
 	  glVertex3fv(verticesList[pCommands[2]]);
 
-	  printf("draw vert: %f, %f, %f\n", verticesList[pCommands[2]][0], verticesList[pCommands[2]][1], verticesList[pCommands[2]][2] );
+	  //printf("draw vert: %f, %f, %f\n", verticesLit[pCommands[2]][0], verticesList[pCommands[2]][1], verticesList[pCommands[2]][2] );
 	}
       glEnd();
@@ -794,29 +797,10 @@
 void MD2Model2::debug()
 {
-  PRINT(0)("==========================| MD2Model2::debug() |===");
-  //PRINT(0)("= Model Name: %s", this->header->);
-  PRINT(0)("= ");
-}
-/*
-
-  int ident;			        //!< This is used to identify the file
-   int version;			        //!< The version number of the file (Must be 8)
-    
-   int skinWidth;			//!< The skin width in pixels
-   int skinHeight;			//!< The skin height in pixels
-   int frameSize;			//!< The size in bytes the frames are
-   
-   int numSkins;		        //!< The number of skins associated with the model
-   int numVertices;			//!< The number of vertices (constant for each frame)
-   int numTexCoords;			//!< The number of texture coordinates
-   int numTriangles;			//!< The number of faces (polygons)
-   int numGlCommands;			//!< The number of gl commands
-   int numFrames;			//!< The number of animation frames
-   
-   int offsetSkins;			//!< The offset in the file for the skin data
-   int offsetTexCoords;			//!< The offset in the file for the texture data
-   int offsetTriangles;			//!< The offset in the file for the face data
-   int offsetFrames;			//!< The offset in the file for the frames data
-   int offsetGlCommands;		//!< The offset in the file for the gl commands data
-   int offsetEnd;			//!< The end of the file offset
-*/
+  PRINT(0)("==========================| MD2Model2::debug() |===\n");
+  PRINT(0)("=  Model FileName:\t%s\n", this->fileName);
+  PRINT(0)("=  Size in Memory:\t%i Bytes\n", this->header->frameSize * this->header->numFrames + 64); // 64bytes is the header size
+  PRINT(0)("=  Number of Vertices:\t%i\n", this->header->numVertices);
+  PRINT(0)("=  Number of Frames: \t%i\n", this->header->numFrames);
+  PRINT(0)("=  Height, Width\t\t%i, %i\n", this->header->skinHeight, this->header->skinWidth);
+  PRINT(0)("===================================================\n\n");
+}
Index: orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.h
===================================================================
--- orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.h	(revision 4229)
+++ orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.h	(revision 4232)
@@ -237,4 +237,6 @@
   int numTriangles;
   int numGLCommands;
+  char* fileName;
+  tMd2Header* header;
 
   sVec3D* pVertices;
@@ -246,5 +248,4 @@
   sAnimState animationState;
   float scaleFactor;
-  tMd2Header* header;
 };
 
Index: orxonox/branches/md2_loader/src/world_entities/test_entity.cc
===================================================================
--- orxonox/branches/md2_loader/src/world_entities/test_entity.cc	(revision 4229)
+++ orxonox/branches/md2_loader/src/world_entities/test_entity.cc	(revision 4232)
@@ -33,4 +33,6 @@
   this->md2Model2->loadModel("../data/models/tris.md2");
   this->md2Model2->loadSkin("../data/models/tris.pcx");
+
+  this->md2Model2->debug();
 }
 