Index: /orxonox/branches/levelLoader/src/glmenu/glmenu_imagescreen.cc
===================================================================
--- /orxonox/branches/levelLoader/src/glmenu/glmenu_imagescreen.cc	(revision 4241)
+++ /orxonox/branches/levelLoader/src/glmenu/glmenu_imagescreen.cc	(revision 4242)
@@ -58,6 +58,4 @@
 void GLMenuImageScreen::load(TiXmlElement* root)
 {
-  const char* string;
-
   LoadParam<GLMenuImageScreen>(root, "BackgroundImage", this, &GLMenuImageScreen::setBackgroundImage);
 
Index: /orxonox/branches/levelLoader/src/util/loading/load_param.h
===================================================================
--- /orxonox/branches/levelLoader/src/util/loading/load_param.h	(revision 4241)
+++ /orxonox/branches/levelLoader/src/util/loading/load_param.h	(revision 4242)
@@ -19,7 +19,7 @@
 {
  public:
-  // CONST CHAR*
+  // 1. CONST CHAR*
   LoadParam(const TiXmlElement* root, const char* paramName, T* pt2Object, void(T::*function)(const char*))
-    { 
+    {
       const char* loadString = grabParameter(root, paramName);
       if (loadString != NULL)
@@ -27,5 +27,43 @@
       else 
 	PRINTF(2)("Not loaded parameter %s of %s\n", paramName, pt2Object->getClassName());
-      
+    };
+
+  // 2. CONST CHAR*
+  LoadParam(const TiXmlElement* root, const char* paramName, T* pt2Object, void(T::*function)(const char*, const char*))
+    {
+      const char* loadString = grabParameter(root, paramName);
+      if (loadString != NULL)
+	{
+	  SubString subLoads(loadString);
+	  (*pt2Object.*function)(subLoads.getString(0), subLoads.getString(1));
+	}
+      else 
+	PRINTF(2)("Not loaded parameter %s of %s\n", paramName, pt2Object->getClassName());
+    };
+
+  // 3. CONST CHAR*
+  LoadParam(const TiXmlElement* root, const char* paramName, T* pt2Object, void(T::*function)(const char*, const char*, const char*))
+    {
+      const char* loadString = grabParameter(root, paramName);
+      if (loadString != NULL)
+	{
+	  SubString subLoads(loadString);
+	  (*pt2Object.*function)(subLoads.getString(0), subLoads.getString(1), subLoads.getString(2));
+	}
+      else 
+	PRINTF(2)("Not loaded parameter %s of %s\n", paramName, pt2Object->getClassName());
+    };
+
+  // 4. CONST CHAR*
+  LoadParam(const TiXmlElement* root, const char* paramName, T* pt2Object, void(T::*function)(const char*, const char*, const char*, const char*))
+    {
+      const char* loadString = grabParameter(root, paramName);
+      if (loadString != NULL)
+	{
+	  SubString subLoads(loadString);
+	  (*pt2Object.*function)(subLoads.getString(0), subLoads.getString(1), subLoads.getString(2), subLoads.getString(3));
+	}
+      else 
+	PRINTF(2)("Not loaded parameter %s of %s\n", paramName, pt2Object->getClassName());
     };
 
Index: /orxonox/branches/levelLoader/src/world_entities/skybox.cc
===================================================================
--- /orxonox/branches/levelLoader/src/world_entities/skybox.cc	(revision 4241)
+++ /orxonox/branches/levelLoader/src/world_entities/skybox.cc	(revision 4242)
@@ -56,7 +56,4 @@
   this->preInit();
 
-  const char* string;
-
-  // Model Loading	
   LoadParam<SkyBox>(root, "Materialset", this, &SkyBox::setTexture);
 
@@ -107,5 +104,5 @@
                "skybox_right.jpg", "skybox_front.jpg", "skybox_back.jpg");
 */
-void SkyBox::setTexture(const char* name, const char* extension)
+void SkyBox::setTextureAndType(const char* name, const char* extension)
 {
   char* top    = new char[strlen(name)+strlen(extension)+ 10];
Index: /orxonox/branches/levelLoader/src/world_entities/skybox.h
===================================================================
--- /orxonox/branches/levelLoader/src/world_entities/skybox.h	(revision 4241)
+++ /orxonox/branches/levelLoader/src/world_entities/skybox.h	(revision 4242)
@@ -32,6 +32,6 @@
   void setSize(float size);
   /** \brief assumes jpg as input-format */
-  void setTexture(const char* name) { setTexture (name, "jpg");};
-  void setTexture(const char* name, const char* extension);
+  void setTexture(const char* name) { setTextureAndType (name, "jpg");};
+  void setTextureAndType(const char* name, const char* extension);
   void setTextures(const char* top, const char* bottom, const char* left, const char* right, const char* front, const char* back);
 