Index: orxonox/branches/levelLoader/src/util/loading/load_param.h
===================================================================
--- orxonox/branches/levelLoader/src/util/loading/load_param.h	(revision 4242)
+++ orxonox/branches/levelLoader/src/util/loading/load_param.h	(revision 4243)
@@ -36,5 +36,9 @@
 	{
 	  SubString subLoads(loadString);
-	  (*pt2Object.*function)(subLoads.getString(0), subLoads.getString(1));
+	  if (subLoads.getCount() == 2)
+	    (*pt2Object.*function)(subLoads.getString(0), subLoads.getString(1));
+	  else
+	    PRINTF(2)("Not loaded Parameter %s of %s, because wrong count of arguments.\n -> Should have %d but have %d\n",
+		      paramName, pt2Object->getClassName(), 2, subLoads.getCount());
 	}
       else 
@@ -49,5 +53,9 @@
 	{
 	  SubString subLoads(loadString);
-	  (*pt2Object.*function)(subLoads.getString(0), subLoads.getString(1), subLoads.getString(2));
+	  if (subLoads.getCount() == 3)
+	    (*pt2Object.*function)(subLoads.getString(0), subLoads.getString(1), subLoads.getString(2));
+	  else
+	    PRINTF(2)("Not loaded Parameter %s of %s, because wrong count of arguments.\n -> Should have %d but have %d\n",
+		      paramName, pt2Object->getClassName(), 3, subLoads.getCount());
 	}
       else 
@@ -62,5 +70,9 @@
 	{
 	  SubString subLoads(loadString);
-	  (*pt2Object.*function)(subLoads.getString(0), subLoads.getString(1), subLoads.getString(2), subLoads.getString(3));
+	  if (subLoads.getCount() == 4)
+	    (*pt2Object.*function)(subLoads.getString(0), subLoads.getString(1), subLoads.getString(2), subLoads.getString(3));
+	  else
+	    PRINTF(2)("Not loaded Parameter %s of %s, because wrong count of arguments.\n -> Should have %d but have %d\n",
+		      paramName, pt2Object->getClassName(), 4, subLoads.getCount());
 	}
       else 
@@ -85,5 +97,10 @@
 	{
 	  SubString subLoads(loadString);
-	  (*pt2Object.*function)(atof(subLoads.getString(0)), atof(subLoads.getString(1)));
+	  if (subLoads.getCount() == 2)
+	    (*pt2Object.*function)(atof(subLoads.getString(0)), atof(subLoads.getString(1)));
+	  else
+	    PRINTF(2)("Not loaded Parameter %s of %s, because wrong count of arguments.\n -> Should have %d but have %d\n",
+		      paramName, pt2Object->getClassName(), 2, subLoads.getCount());
+	    
 	}
       else 
@@ -98,5 +115,9 @@
 	{
 	  SubString subLoads(loadString);
-	  (*pt2Object.*function)(atof(subLoads.getString(0)), atof(subLoads.getString(1)), atof(subLoads.getString(2)));
+	  if (subLoads.getCount() == 3)
+	    (*pt2Object.*function)(atof(subLoads.getString(0)), atof(subLoads.getString(1)), atof(subLoads.getString(2)));
+	  else
+	    PRINTF(2)("Not loaded Parameter %s of %s, because wrong count of arguments.\n -> Should have %d but have %d\n",
+		      paramName, pt2Object->getClassName(), 3, subLoads.getCount());
 	}
       else 
@@ -111,5 +132,10 @@
 	{
 	  SubString subLoads(loadString);
-	  (*pt2Object.*function)(atof(subLoads.getString(0)), atof(subLoads.getString(1)), atof(subLoads.getString(2)), atof(subLoads.getString(3)));
+	  if (subLoads.getCount() == 4)
+	    (*pt2Object.*function)(atof(subLoads.getString(0)), atof(subLoads.getString(1)), atof(subLoads.getString(2)), atof(subLoads.getString(3)));
+	  else
+	    PRINTF(2)("Not loaded Parameter %s of %s, because wrong count of arguments.\n -> Should have %d but have %d\n",
+		      paramName, pt2Object->getClassName(), 4, subLoads.getCount());
+
 	}
       else 
@@ -134,5 +160,10 @@
 	{
 	  SubString subLoads(loadString);
-	  (*pt2Object.*function)(atoi(subLoads.getString(0)), atoi(subLoads.getString(1)));
+	  if (subLoads.getCount() == 2)
+	    (*pt2Object.*function)(atoi(subLoads.getString(0)), atoi(subLoads.getString(1)));
+	  else
+	    PRINTF(2)("Not loaded Parameter %s of %s, because wrong count of arguments.\n -> Should have %d but have %d\n",
+		      paramName, pt2Object->getClassName(), 2, subLoads.getCount());
+
 	}
       else 
@@ -147,5 +178,10 @@
 	{
 	  SubString subLoads(loadString);
-	  (*pt2Object.*function)(atoi(subLoads.getString(0)), atoi(subLoads.getString(1)), atoi(subLoads.getString(2)));
+	  if (subLoads.getCount() == 3)
+	    (*pt2Object.*function)(atoi(subLoads.getString(0)), atoi(subLoads.getString(1)), atoi(subLoads.getString(2)));
+	  else
+	    PRINTF(2)("Not loaded Parameter %s of %s, because wrong count of arguments.\n -> Should have %d but have %d\n",
+		      paramName, pt2Object->getClassName(), 3, subLoads.getCount());
+
 	}
       else 
@@ -160,5 +196,9 @@
 	{
 	  SubString subLoads(loadString);
-	  (*pt2Object.*function)(atoi(subLoads.getString(0)), atoi(subLoads.getString(1)), atoi(subLoads.getString(2)), atoi(subLoads.getString(3)));
+	  if (subLoads.getCount() == 4)
+	    (*pt2Object.*function)(atoi(subLoads.getString(0)), atoi(subLoads.getString(1)), atoi(subLoads.getString(2)), atoi(subLoads.getString(3)));
+	  else
+	    PRINTF(2)("Not loaded Parameter %s of %s, because wrong count of arguments.\n -> Should have %d but have %d\n",
+		      paramName, pt2Object->getClassName(), 4, subLoads.getCount());
 	}
       else 